<?php 

	$coffee_shop_corner_custom_style = '';

	// Logo Size
	$coffee_shop_corner_logo_top_padding = get_theme_mod('coffee_shop_corner_logo_top_padding');
	$coffee_shop_corner_logo_bottom_padding = get_theme_mod('coffee_shop_corner_logo_bottom_padding');
	$coffee_shop_corner_logo_left_padding = get_theme_mod('coffee_shop_corner_logo_left_padding');
	$coffee_shop_corner_logo_right_padding = get_theme_mod('coffee_shop_corner_logo_right_padding');

	if( $coffee_shop_corner_logo_top_padding != '' || $coffee_shop_corner_logo_bottom_padding != '' || $coffee_shop_corner_logo_left_padding != '' || $coffee_shop_corner_logo_right_padding != ''){
		$coffee_shop_corner_custom_style .=' .logo {';
			$coffee_shop_corner_custom_style .=' padding-top: '.esc_attr($coffee_shop_corner_logo_top_padding).'px; padding-bottom: '.esc_attr($coffee_shop_corner_logo_bottom_padding).'px; padding-left: '.esc_attr($coffee_shop_corner_logo_left_padding).'px; padding-right: '.esc_attr($coffee_shop_corner_logo_right_padding).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_logo_size = get_theme_mod('coffee_shop_corner_logo_size');
	if( $coffee_shop_corner_logo_size != '' ) {
		if($coffee_shop_corner_logo_size >= 0 && $coffee_shop_corner_logo_size <= 100) {
			$calculated_width = $coffee_shop_corner_logo_size * 3.5;
			$coffee_shop_corner_custom_style .= ' .custom-logo-link img {';
			$coffee_shop_corner_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$coffee_shop_corner_custom_style .= ' }';
		}
	}

	// Site Title Font Size
	$coffee_shop_corner_site_title_font_size = get_theme_mod('coffee_shop_corner_site_title_font_size');
	if( $coffee_shop_corner_site_title_font_size != ''){
		$coffee_shop_corner_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$coffee_shop_corner_custom_style .=' font-size: '.esc_attr($coffee_shop_corner_site_title_font_size).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_site_title_color = get_theme_mod('coffee_shop_corner_site_title_color');
	if ( $coffee_shop_corner_site_title_color != '') {
		$coffee_shop_corner_custom_style .=' .logo h1.site-title a, .logo p.site-title a {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_site_title_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}

	// Site Tagline Font Size
	$coffee_shop_corner_site_tagline_font_size = get_theme_mod('coffee_shop_corner_site_tagline_font_size');
	if( $coffee_shop_corner_site_tagline_font_size != ''){
		$coffee_shop_corner_custom_style .=' .logo p.site-description {';
			$coffee_shop_corner_custom_style .=' font-size: '.esc_attr($coffee_shop_corner_site_tagline_font_size).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_site_tagline_color = get_theme_mod('coffee_shop_corner_site_tagline_color');
	if ( $coffee_shop_corner_site_tagline_color != '') {
		$coffee_shop_corner_custom_style .=' .logo p.site-description {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_site_tagline_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}

	//layout width
	$coffee_shop_corner_boxfull_width = get_theme_mod('coffee_shop_corner_boxfull_width');
	if ($coffee_shop_corner_boxfull_width !== '') {
		switch ($coffee_shop_corner_boxfull_width) {
			case 'container':
				$coffee_shop_corner_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$coffee_shop_corner_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$coffee_shop_corner_dropdown_anim = get_theme_mod('coffee_shop_corner_dropdown_anim');

	if ( $coffee_shop_corner_dropdown_anim != '') {
		$coffee_shop_corner_custom_style .=' .nav-menu ul ul {';
			$coffee_shop_corner_custom_style .=' animation:'.esc_attr($coffee_shop_corner_dropdown_anim).' 1s ease;';
		$coffee_shop_corner_custom_style .=' }';
	}

	//Header color
	$coffee_shop_corner_hdr_btn_color = get_theme_mod('coffee_shop_corner_hdr_btn_color');
	$coffee_shop_corner_hdr_btnbg_color = get_theme_mod('coffee_shop_corner_hdr_btnbg_color');
	if ( $coffee_shop_corner_hdr_btn_color != '') {
		$coffee_shop_corner_custom_style .=' .contact-btn a span {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_hdr_btn_color).'; background-color:'.esc_attr($coffee_shop_corner_hdr_btnbg_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_menu_color = get_theme_mod('coffee_shop_corner_menu_color');
	if ( $coffee_shop_corner_menu_color != '') {
		$coffee_shop_corner_custom_style .=' .nav-menu ul li a {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_menu_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_menuhvr_color = get_theme_mod('coffee_shop_corner_menuhvr_color');
	if ( $coffee_shop_corner_menuhvr_color != '') {
		$coffee_shop_corner_custom_style .=' .nav-menu ul li a:hover {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_menuhvr_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}

	//Slider color
	$coffee_shop_corner_slider_font_size = get_theme_mod('coffee_shop_corner_slider_font_size');
	if( $coffee_shop_corner_slider_font_size != ''){
		$coffee_shop_corner_custom_style .=' #slider h2 {';
			$coffee_shop_corner_custom_style .=' font-size: '.esc_attr($coffee_shop_corner_slider_font_size).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_slider_text_font_size = get_theme_mod('coffee_shop_corner_slider_text_font_size');
	if( $coffee_shop_corner_slider_text_font_size != ''){
		$coffee_shop_corner_custom_style .=' #slider p {';
			$coffee_shop_corner_custom_style .=' font-size: '.esc_attr($coffee_shop_corner_slider_text_font_size).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_slider_color = get_theme_mod('coffee_shop_corner_slider_color');
	if ( $coffee_shop_corner_slider_color != '') {
		$coffee_shop_corner_custom_style .=' #slider h2 a, #slider p,#slider a.read-btn span {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_slider_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}
	
	//Service color
	$coffee_shop_corner_section_small_title_font_size = get_theme_mod('coffee_shop_corner_section_small_title_font_size');
	if( $coffee_shop_corner_section_small_title_font_size != ''){
		$coffee_shop_corner_custom_style .=' #service-section strong {';
			$coffee_shop_corner_custom_style .=' font-size: '.esc_attr($coffee_shop_corner_section_small_title_font_size).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_section_title_font_size = get_theme_mod('coffee_shop_corner_section_title_font_size');
	if( $coffee_shop_corner_section_title_font_size != ''){
		$coffee_shop_corner_custom_style .=' #service-section h3 {';
			$coffee_shop_corner_custom_style .=' font-size: '.esc_attr($coffee_shop_corner_section_title_font_size).'px;';
		$coffee_shop_corner_custom_style .=' }';
	}

	$coffee_shop_corner_service_color = get_theme_mod('coffee_shop_corner_service_color');
	if ( $coffee_shop_corner_service_color != '') {
		$coffee_shop_corner_custom_style .=' .service-box .service-content h4 a,.service-btn a span {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_service_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}

	//footer color
	$coffee_shop_corner_copyright_color = get_theme_mod('coffee_shop_corner_copyright_color');
	if ( $coffee_shop_corner_copyright_color != '') {
		$coffee_shop_corner_custom_style .=' .site-info p, .site-info a {';
			$coffee_shop_corner_custom_style .=' color:'.esc_attr($coffee_shop_corner_copyright_color).';';
		$coffee_shop_corner_custom_style .=' }';
	}